about summary refs log tree commit diff
diff options
context:
space:
mode:
-rw-r--r--instrumentation/SanitizerCoverageLTO.so.cc15
-rw-r--r--src/afl-forkserver.c14
-rwxr-xr-xunicorn_mode/build_unicorn_support.sh4
3 files changed, 21 insertions, 12 deletions
diff --git a/instrumentation/SanitizerCoverageLTO.so.cc b/instrumentation/SanitizerCoverageLTO.so.cc
index f55aeca2..43c6ca40 100644
--- a/instrumentation/SanitizerCoverageLTO.so.cc
+++ b/instrumentation/SanitizerCoverageLTO.so.cc
@@ -1673,12 +1673,12 @@ void ModuleSanitizerCoverageLTO::instrumentFunction(
 
     inst = inst_save;
 
-  }
+    /* if (debug)
+       fprintf(stderr, "Next instrumentation (%u-%u=%u %u-%u=%u)\n", inst,
+               inst_save, inst - inst_save, afl_global_id, save_global,
+               afl_global_id - save_global);*/
 
-  /*  if (debug)
-      fprintf(stderr, "Next instrumentation (%u-%u=%u %u-%u=%u)\n", inst,
-              inst_save, inst - inst_save, afl_global_id, save_global,
-              afl_global_id - save_global);*/
+  }
 
   for (auto &BB : F) {
 
@@ -1932,8 +1932,9 @@ void ModuleSanitizerCoverageLTO::instrumentFunction(
 
     }
 
-    // if (shouldInstrumentBlock(F, &BB, DT, PDT, Options))
-    //   BlocksToInstrument.push_back(&BB);
+    if (!instrument_ctx)
+      if (shouldInstrumentBlock(F, &BB, DT, PDT, Options))
+        BlocksToInstrument.push_back(&BB);
 
     /*
         for (auto &Inst : BB) {
diff --git a/src/afl-forkserver.c b/src/afl-forkserver.c
index 7253e6d7..1d42adf5 100644
--- a/src/afl-forkserver.c
+++ b/src/afl-forkserver.c
@@ -1197,9 +1197,17 @@ void afl_fsrv_start(afl_forkserver_t *fsrv, char **argv,
 
     } else {
 
-      WARNF(
-          "Old fork server model is used by the target, this still works "
-          "though.");
+      if (!fsrv->qemu_mode && !fsrv->cs_mode
+#ifdef __linux__
+          && !fsrv->nyx_mode
+#endif
+      ) {
+
+        WARNF(
+            "Old fork server model is used by the target, this still works "
+            "though.");
+
+      }
 
       if (!be_quiet) { OKF("All right - old fork server is up."); }
 
diff --git a/unicorn_mode/build_unicorn_support.sh b/unicorn_mode/build_unicorn_support.sh
index baca2171..be7ee7f0 100755
--- a/unicorn_mode/build_unicorn_support.sh
+++ b/unicorn_mode/build_unicorn_support.sh
@@ -201,7 +201,7 @@ echo "[*] Installing Unicorn python bindings..."
 cd unicorn/bindings/python || exit 1
 if [ -z "$VIRTUAL_ENV" ]; then
   echo "[*] Info: Installing python unicornafl using --user"
-  THREADS=$CORES $PYTHONBIN -m pip install --user --force .|| exit 1
+  THREADS=$CORES $PYTHONBIN -m pip install --user --break-system-packages --force .|| exit 1
 else
   echo "[*] Info: Installing python unicornafl to virtualenv: $VIRTUAL_ENV"
   THREADS=$CORES $PYTHONBIN -m pip install --force .|| exit 1
@@ -211,7 +211,7 @@ echo "[*] Installing Unicornafl python bindings..."
 cd bindings/python || exit 1
 if [ -z "$VIRTUAL_ENV" ]; then
   echo "[*] Info: Installing python unicornafl using --user"
-  THREADS=$CORES $PYTHONBIN -m pip install --user --force .|| exit 1
+  THREADS=$CORES $PYTHONBIN -m pip install --user --break-system-packages --force .|| exit 1
 else
   echo "[*] Info: Installing python unicornafl to virtualenv: $VIRTUAL_ENV"
   THREADS=$CORES $PYTHONBIN -m pip install --force .|| exit 1